Zitadel PHP Client 1.3.6 PHP Client for Zitadel

Loading...
Searching...
No Matches
Public Member Functions
Edit Class Reference

## Public Member Functions
| __construct (array $settings)
| setUserId (int $userid)
| setUserName (string $username)
| setName (string $givenName, string $familyName)
| setNickName (string $nickName)
| setDisplayName (string $displayName)
| setLanguage (string $lang)
| setGender (string $gender)
| edit ()

## Detailed Description

Class to edit user data. Important: To change the email address, phone number or the password, use the Email or Password Class!

Definition at line 10 of file Edit.php.

## Constructor & Destructor Documentation

## ◆ __construct()

__construct | ( | array | $settings | ) |

Initialize the user data change. Important: To change the email address or the password, use the Email or Password Class!

Parameters

  $settings | array The settings array

Definition at line 18 of file Edit.php.

## Member Function Documentation

## ◆ edit()

edit | ( |  | ) |

Change the user data and sends the data to Zitadel

Returns
  void

Exceptions

  Exception | Returns an exception with an error code and a message if the communication with Zitadel fails

Definition at line 82 of file Edit.php.

## ◆ setDisplayName()

setDisplayName | ( | string | $displayName | ) |

Change display name

Parameters

  $displayName | string Display name

Returns
  void

Definition at line 56 of file Edit.php.

## ◆ setGender()

setGender | ( | string | $gender | ) |

Change the gender of the user

Parameters

  $gender | string Default: GENDER_UNSPECIFIED, Possible values: GENDER_MALE, GENDER_FEMALE, GENDER_DIVERSE

Returns
  void

Definition at line 70 of file Edit.php.

## ◆ setLanguage()

setLanguage | ( | string | $lang | ) |

Change the preferred user language

Parameters

  $lang | string Shortcode of the language, e.g. "en" or "de"

Returns
  void

Definition at line 63 of file Edit.php.

## ◆ setName()

setName | ( | string | $givenName,
|  | string | $familyName )

Set the full name of the new user. You must always enter your full name, even if you don't change it.

Parameters

  $givenName | string Given Name
  $familyName | string Family Name

Returns
  void

Definition at line 41 of file Edit.php.

## ◆ setNickName()

setNickName | ( | string | $nickName | ) |

Change the nickname

Parameters

  $nickName | string Nickname

Returns
  void

Definition at line 49 of file Edit.php.

## ◆ setUserId()

setUserId | ( | int | $userid | ) |

Set the user id of the user

Parameters

  $userid | int The user id of the user

Returns
  void

Definition at line 26 of file Edit.php.

## ◆ setUserName()

setUserName | ( | string | $username | ) |

Change the username of the user

Parameters

  $username | string The username of the new user

Returns
  void

Definition at line 33 of file Edit.php.

The documentation for this class was generated from the following file:

- src/User/Edit.php